Subject: Re: [PATCH v4 7/7] t/README: Document the do's and don'ts of tests

From: Jakub Narebski <[email-masked]>
Date: Tue, 06 Jul 2010 01:35:33 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:
> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
> 
> > +Do:
> > +
> > + - Put as much code as possible inside test_expect_success and other
> > +   assertions.
> > +
> > +   Even code that isn't a test per se, but merely some setup code
> > +   should be inside a test assertion if at all possible. Test scripts
> > +   should only have trivial code outside of their assertions.
> 
> Let's make it even stronger; "should only have trivial" -> "shouldn't have
> any ... unless there is a good reason."

I think that the only thing that can and *should* be put outside
test_expect_* is creating helper file: test vectors ('expect' files),
configuration files, files that are to be arguments to commands, etc.
Is it covered by "there is a good reason"?  Isn't it too severe?

There probably should be description when to put creating such files
in test script, and when to put them as pre-made files in tXXXX/
subdirectory (non US-ASCII is one reason to put it as pre-made file).
 
-- 
Jakub Narebski
Poland
ShadeHawk on #git